Bug 1869600 - Task and ClusterTasks are not distinguished in add task dropdown
Summary: Task and ClusterTasks are not distinguished in add task dropdown
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Debsmita Santra
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks: 1872625
TreeView+ depends on / blocked
 
Reported: 2020-08-18 10:30 UTC by Debsmita Santra
Modified: 2020-09-02 09:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1872625 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6345 None closed Bug 1869600: add resource icon to the items in the `select task` dropdown in the pipeline builder page 2020-09-02 08:05:35 UTC

Description Debsmita Santra 2020-08-18 10:30:41 UTC
Description of problem:
Tasks and ClusterTasks are not visually distinguished when user is adding a task from the dropdown list in the pipeline builder. Therefore if user has a Task and a ClusterTask with the identical names, she would not be able to recognize the difference in the dropdown task list and would see the same name twice.

Version-Release number of selected component (if applicable):
4.6

How reproducible:
Always

Steps to Reproduce:
1. Navigate to the Pipeline Builder (create button on Pipelines page)
2. Add a Task to your namespace with the name "mytask"
3. Add a ClusterTask with the name "mytask"
4. Open pipeline builder and scroll down in the task dropdown list

Actual results:
"mytask" task appears twice without any description of the difference

Expected results:
A Task named "mytask" and a ClusterTask named "mytask" is displayed in the list in a way that user can distinguish between them.


Additional info:

Comment 3 Gajanan More 2020-09-02 09:20:12 UTC
I have validated the bugzilla on: 

Build: 4.6.0-0.nightly-2020-09-01-070508

Browser: Google Chrome Version 84.0.4147.89

Marking this bug as verified


Note You need to log in before you can comment on or make changes to this bug.